Index: src/config.cpp
===================================================================
--- src/config.cpp	(revision 6056f1f6a543f7dbfa9dde0b7705d6820addf1c4)
+++ src/config.cpp	(revision 6cd16bc4b2635b48c1eb855a13b887a00af82259)
@@ -689,5 +702,5 @@
       ParseForParameter(verbose,FileBuffer, name, 0, 2, 1, int_type, &Z, 1, critical);
       elementhash[i] = periode->FindElement(Z);
-      Log() << Verbose(1) << i << ". Z = " << elementhash[i]->Z << " with " << No[i] << " ions." << endl;
+      DoLog(1) && (Log() << Verbose(1) << i << ". Z = " << elementhash[i]->Z << " with " << No[i] << " ions." << endl);
       NoAtoms += No[i];
     }
@@ -697,5 +710,6 @@
     sprintf(name,"Ion_Type%i",MaxTypes);
     if (!ParseForParameter(verbose,FileBuffer, (const char*)name, 1, 1, 1, int_type, &value[0], 1, critical)) {
-      eLog() << Verbose(0) << "There are no atoms in the config file!" << endl;
+      DoeLog(0) && (eLog()<< Verbose(0) << "There are no atoms in the config file!" << endl);
+      performCriticalExit();
       return;
     }
@@ -714,5 +728,5 @@
       bool status = true;
       while (status) {
-        Log() << Verbose(0) << "Currently parsing MD step " << repetition << "." << endl;
+        DoLog(0) && (Log() << Verbose(0) << "Currently parsing MD step " << repetition << "." << endl);
         for (int i=0; i < MaxTypes; i++) {
           sprintf(name,"Ion_Type%i",i+1);
@@ -780,5 +794,5 @@
       }
       repetition--;
-      Log() << Verbose(0) << "Found " << repetition << " trajectory steps." << endl;
+      DoLog(0) && (Log() << Verbose(0) << "Found " << repetition << " trajectory steps." << endl);
       if (repetition <= 1)  // if onyl one step, desactivate use of trajectories
         mol->MDSteps = 0;
@@ -792,5 +806,5 @@
               ParseForParameter(verbose,FileBuffer, "Ion_Type1_1", 0, 3, 1, double_type, &value[2], repetition, (repetition == 0) ? critical : optional))
         repetition++;
-      Log() << Verbose(0) << "I found " << repetition << " times the keyword Ion_Type1_1." << endl;
+      DoLog(0) && (Log() << Verbose(0) << "I found " << repetition << " times the keyword Ion_Type1_1." << endl);
       // parse in molecule coordinates
       for (int i=0; i < MaxTypes; i++) {
@@ -841,5 +855,5 @@
   ifstream *file = new ifstream(filename);
   if (file == NULL) {
-    eLog() << Verbose(0) << "ERROR: config file " << filename << " missing!" << endl;
+    DoeLog(1) && (eLog()<< Verbose(1) << "config file " << filename << " missing!" << endl);
     return;
   }
@@ -953,10 +967,11 @@
   // Unit cell and magnetic field
   ParseForParameter(verbose,FileBuffer, "BoxLength", 0, 3, 3, lower_trigrid, BoxLength, 1, critical); /* Lattice->RealBasis */
-  mol->cell_size[0] = BoxLength[0];
-  mol->cell_size[1] = BoxLength[3];
-  mol->cell_size[2] = BoxLength[4];
-  mol->cell_size[3] = BoxLength[6];
-  mol->cell_size[4] = BoxLength[7];
-  mol->cell_size[5] = BoxLength[8];
+  double * const cell_size = World::get()->cell_size;
+  cell_size[0] = BoxLength[0];
+  cell_size[1] = BoxLength[3];
+  cell_size[2] = BoxLength[4];
+  cell_size[3] = BoxLength[6];
+  cell_size[4] = BoxLength[7];
+  cell_size[5] = BoxLength[8];
   //if (1) fprintf(stderr,"\n");
 
@@ -1045,18 +1060,23 @@
 
   // 2. parse the bond graph file if given
-  BG = new BondGraph(IsAngstroem);
-  if (BG->LoadBondLengthTable(BondGraphFileName)) {
-    Log() << Verbose(0) << "Bond length table loaded successfully." << endl;
-  } else {
-    Log() << Verbose(0) << "Bond length table loading failed." << endl;
+  if (BG == NULL) {
+    BG = new BondGraph(IsAngstroem);
+    if (BG->LoadBondLengthTable(BondGraphFileName)) {
+      DoLog(0) && (Log() << Verbose(0) << "Bond length table loaded successfully." << endl);
+    } else {
+      DoeLog(1) && (eLog()<< Verbose(1) << "Bond length table loading failed." << endl);
+    }
   }
 
   // 3. parse the molecule in
   LoadMolecule(mol, FileBuffer, periode, FastParsing);
+  mol->SetNameFromFilename(filename);
   mol->ActiveFlag = true;
   MolList->insert(mol);
 
   // 4. dissect the molecule into connected subgraphs
-  BG->ConstructBondGraph(mol);
+  // don't do this here ...
+  //MolList->DissectMoleculeIntoConnectedSubgraphs(mol,this);
+  //delete(mol);
 
   delete(FileBuffer);
@@ -1074,5 +1094,5 @@
   ifstream *file = new ifstream(filename);
   if (file == NULL) {
-    eLog() << Verbose(0) << "ERROR: config file " << filename << " missing!" << endl;
+    DoeLog(1) && (eLog()<< Verbose(1) << "config file " << filename << " missing!" << endl);
     return;
   }
@@ -1152,10 +1172,11 @@
 
   ParseForParameter(verbose,file, "BoxLength", 0, 3, 3, lower_trigrid, BoxLength, 1, critical); /* Lattice->RealBasis */
-  mol->cell_size[0] = BoxLength[0];
-  mol->cell_size[1] = BoxLength[3];
-  mol->cell_size[2] = BoxLength[4];
-  mol->cell_size[3] = BoxLength[6];
-  mol->cell_size[4] = BoxLength[7];
-  mol->cell_size[5] = BoxLength[8];
+  double * const cell_size = World::get()->cell_size;
+  cell_size[0] = BoxLength[0];
+  cell_size[1] = BoxLength[3];
+  cell_size[2] = BoxLength[4];
+  cell_size[3] = BoxLength[6];
+  cell_size[4] = BoxLength[7];
+  cell_size[5] = BoxLength[8];
   if (1) fprintf(stderr,"\n");
   config::DoPerturbation = 0;
@@ -1233,7 +1254,7 @@
   BG = new BondGraph(IsAngstroem);
   if (BG->LoadBondLengthTable(BondGraphFileName)) {
-    Log() << Verbose(0) << "Bond length table loaded successfully." << endl;
+    DoLog(0) && (Log() << Verbose(0) << "Bond length table loaded successfully." << endl);
   } else {
-    Log() << Verbose(0) << "Bond length table loading failed." << endl;
+    DoLog(0) && (Log() << Verbose(0) << "Bond length table loading failed." << endl);
   }
 
@@ -1242,10 +1263,10 @@
   for (i=MAX_ELEMENTS;i--;)
     elementhash[i] = NULL;
-  Log() << Verbose(0) << "Parsing Ions ..." << endl;
+  DoLog(0) && (Log() << Verbose(0) << "Parsing Ions ..." << endl);
   No=0;
   found = 0;
   while (getline(*file,zeile,'\n')) {
     if (zeile.find("Ions_Data") == 0) {
-      Log() << Verbose(1) << "found Ions_Data...begin parsing" << endl;
+      DoLog(1) && (Log() << Verbose(1) << "found Ions_Data...begin parsing" << endl);
       found ++;
     }
@@ -1261,8 +1282,8 @@
       input >> b;     // element mass
       elementhash[No] = periode->FindElement(Z);
-      Log() << Verbose(1) << "AtomNo: " << AtomNo << "\tZ: " << Z << "\ta:" << a << "\tl:"  << l << "\b:" << b << "\tElement:" << elementhash[No] << "\t:" << endl;
+      DoLog(1) && (Log() << Verbose(1) << "AtomNo: " << AtomNo << "\tZ: " << Z << "\ta:" << a << "\tl:"  << l << "\b:" << b << "\tElement:" << elementhash[No] << "\t:" << endl);
       for(i=0;i<AtomNo;i++) {
         if (!getline(*file,zeile,'\n')) {// parse on and on
-          Log() << Verbose(2) << "Error: Too few items in ionic list of element" << elementhash[No] << "." << endl << "Exiting." << endl;
+          DoLog(2) && (Log() << Verbose(2) << "Error: Too few items in ionic list of element" << elementhash[No] << "." << endl << "Exiting." << endl);
           // return 1;
         } else {
@@ -1295,4 +1316,5 @@
   // bring MaxTypes up to date
   mol->CountElements();
+  const double * const cell_size = World::get()->cell_size;
   ofstream * const output = new ofstream(filename, ios::out);
   if (output != NULL) {
@@ -1365,7 +1387,7 @@
     *output << endl;
     *output << "BoxLength\t\t\t# (Length of a unit cell)" << endl;
-    *output << mol->cell_size[0] << "\t" << endl;
-    *output << mol->cell_size[1] << "\t" << mol->cell_size[2] << "\t" << endl;
-    *output << mol->cell_size[3] << "\t" << mol->cell_size[4] << "\t" << mol->cell_size[5] << "\t" << endl;
+    *output << cell_size[0] << "\t" << endl;
+    *output << cell_size[1] << "\t" << cell_size[2] << "\t" << endl;
+    *output << cell_size[3] << "\t" << cell_size[4] << "\t" << cell_size[5] << "\t" << endl;
     // FIXME
     *output << endl;
@@ -1410,6 +1432,8 @@
     delete(output);
     return result;
-  } else
+  } else {
+    DoeLog(1) && (eLog()<< Verbose(1) << "Cannot open output file:" << filename << endl);
     return false;
+  }
 };
 
@@ -1430,4 +1454,9 @@
     *fname << filename << ".in";
     output = new ofstream(fname->str().c_str(), ios::out);
+    if (output == NULL) {
+      DoeLog(1) && (eLog()<< Verbose(1) << "Cannot open mpqc output file:" << fname << endl);
+      delete(fname);
+      return false;
+    }
     *output << "% Created by MoleCuilder" << endl;
     *output << "mpqc: (" << endl;
@@ -1468,4 +1497,9 @@
     *fname << filename << ".hess.in";
     output = new ofstream(fname->str().c_str(), ios::out);
+    if (output == NULL) {
+      DoeLog(1) && (eLog()<< Verbose(1) << "Cannot open mpqc hessian output file:" << fname << endl);
+      delete(fname);
+      return false;
+    }
     *output << "% Created by MoleCuilder" << endl;
     *output << "mpqc: (" << endl;
@@ -1499,4 +1533,251 @@
     delete(fname);
   }
+
+  return true;
+};
+
+/** Stores all atoms from all molecules in a PDB input file.
+ * Note that this format cannot be parsed again.
+ * \param *filename name of file (without ".in" suffix!)
+ * \param *MolList pointer to MoleculeListClass containing all atoms
+ */
+bool config::SavePDB(const char * const filename, const MoleculeListClass * const MolList) const
+{
+  int AtomNo = -1;
+  int MolNo = 0;
+  atom *Walker = NULL;
+  FILE *f = NULL;
+
+  char name[MAXSTRINGSIZE];
+  strncpy(name, filename, MAXSTRINGSIZE-1);
+  strncat(name, ".pdb", MAXSTRINGSIZE-(strlen(name)+1));
+  f = fopen(name, "w" );
+  if (f == NULL) {
+    DoeLog(1) && (eLog()<< Verbose(1) << "Cannot open pdb output file:" << name << endl);
+    return false;
+  }
+  fprintf(f, "# Created by MoleCuilder\n");
+
+  for (MoleculeList::const_iterator Runner = MolList->ListOfMolecules.begin(); Runner != MolList->ListOfMolecules.end(); Runner++) {
+    Walker = (*Runner)->start;
+    int *elementNo = Calloc<int>(MAX_ELEMENTS, "config::SavePDB - elementNo");
+    AtomNo = 0;
+    while (Walker->next != (*Runner)->end) {
+      Walker = Walker->next;
+      sprintf(name, "%2s%2d",Walker->type->symbol, elementNo[Walker->type->Z]);
+      elementNo[Walker->type->Z] = (elementNo[Walker->type->Z]+1) % 100;   // confine to two digits
+      fprintf(f,
+             "ATOM %6u %-4s %4s%c%4u    %8.3f%8.3f%8.3f%6.2f%6.2f      %4s%2s%2s\n",
+             Walker->nr,                /* atom serial number */
+             name,         /* atom name */
+             (*Runner)->name,      /* residue name */
+             'a'+(unsigned char)(AtomNo % 26),           /* letter for chain */
+             MolNo,         /* residue sequence number */
+             Walker->node->x[0],                 /* position X in Angstroem */
+             Walker->node->x[1],                 /* position Y in Angstroem */
+             Walker->node->x[2],                 /* position Z in Angstroem */
+             (double)Walker->type->Valence,         /* occupancy */
+             (double)Walker->type->NoValenceOrbitals,          /* temperature factor */
+             "0",            /* segment identifier */
+             Walker->type->symbol,    /* element symbol */
+             "0");           /* charge */
+      AtomNo++;
+    }
+    Free(&elementNo);
+    MolNo++;
+  }
+  fclose(f);
+
+  return true;
+};
+
+/** Stores all atoms in a PDB input file.
+ * Note that this format cannot be parsed again.
+ * \param *filename name of file (without ".in" suffix!)
+ * \param *mol pointer to molecule
+ */
+bool config::SavePDB(const char * const filename, const molecule * const mol) const
+{
+  int AtomNo = -1;
+  atom *Walker = NULL;
+  FILE *f = NULL;
+
+  int *elementNo = Calloc<int>(MAX_ELEMENTS, "config::SavePDB - elementNo");
+  char name[MAXSTRINGSIZE];
+  strncpy(name, filename, MAXSTRINGSIZE-1);
+  strncat(name, ".pdb", MAXSTRINGSIZE-(strlen(name)+1));
+  f = fopen(name, "w" );
+  if (f == NULL) {
+    DoeLog(1) && (eLog()<< Verbose(1) << "Cannot open pdb output file:" << name << endl);
+    Free(&elementNo);
+    return false;
+  }
+  fprintf(f, "# Created by MoleCuilder\n");
+
+  Walker = mol->start;
+  AtomNo = 0;
+  while (Walker->next != mol->end) {
+    Walker = Walker->next;
+    sprintf(name, "%2s%2d",Walker->type->symbol, elementNo[Walker->type->Z]);
+    elementNo[Walker->type->Z] = (elementNo[Walker->type->Z]+1) % 100;   // confine to two digits
+    fprintf(f,
+           "ATOM %6u %-4s %4s%c%4u    %8.3f%8.3f%8.3f%6.2f%6.2f      %4s%2s%2s\n",
+           Walker->nr,                /* atom serial number */
+           name,         /* atom name */
+           mol->name,      /* residue name */
+           'a'+(unsigned char)(AtomNo % 26),           /* letter for chain */
+           0,         /* residue sequence number */
+           Walker->node->x[0],                 /* position X in Angstroem */
+           Walker->node->x[1],                 /* position Y in Angstroem */
+           Walker->node->x[2],                 /* position Z in Angstroem */
+           (double)Walker->type->Valence,         /* occupancy */
+           (double)Walker->type->NoValenceOrbitals,          /* temperature factor */
+           "0",            /* segment identifier */
+           Walker->type->symbol,    /* element symbol */
+           "0");           /* charge */
+    AtomNo++;
+  }
+  fclose(f);
+  Free(&elementNo);
+
+  return true;
+};
+
+/** Stores all atoms in a TREMOLO data input file.
+ * Note that this format cannot be parsed again.
+ * Note that TREMOLO does not like Id starting at 0, but at 1. Atoms with Id 0 are discarded!
+ * \param *filename name of file (without ".in" suffix!)
+ * \param *mol pointer to molecule
+ */
+bool config::SaveTREMOLO(const char * const filename, const molecule * const mol) const
+{
+  atom *Walker = NULL;
+  ofstream *output = NULL;
+  stringstream * const fname = new stringstream;
+
+  *fname << filename << ".data";
+  output = new ofstream(fname->str().c_str(), ios::out);
+  if (output == NULL) {
+    DoeLog(1) && (eLog()<< Verbose(1) << "Cannot open tremolo output file:" << fname << endl);
+    delete(fname);
+    return false;
+  }
+
+  // scan maximum number of neighbours
+  Walker = mol->start;
+  int MaxNeighbours = 0;
+  while (Walker->next != mol->end) {
+    Walker = Walker->next;
+    const int count = Walker->ListOfBonds.size();
+    if (MaxNeighbours < count)
+      MaxNeighbours = count;
+  }
+  *output << "# ATOMDATA Id name resName resSeq x=3 charge type neighbors=" << MaxNeighbours << endl;
+
+  Walker = mol->start;
+  while (Walker->next != mol->end) {
+    Walker = Walker->next;
+    *output << Walker->nr << "\t";
+    *output << Walker->Name << "\t";
+    *output << mol->name << "\t";
+    *output << 0 << "\t";
+    *output << Walker->node->x[0] << "\t" << Walker->node->x[1] << "\t" << Walker->node->x[2] << "\t";
+    *output << (double)Walker->type->Valence << "\t";
+    *output << Walker->type->symbol << "\t";
+    for (BondList::iterator runner = Walker->ListOfBonds.begin(); runner != Walker->ListOfBonds.end(); runner++)
+      *output << (*runner)->GetOtherAtom(Walker)->nr << "\t";
+    for(int i=Walker->ListOfBonds.size(); i < MaxNeighbours; i++)
+      *output << "-\t";
+    *output << endl;
+  }
+  output->flush();
+  output->close();
+  delete(output);
+  delete(fname);
+
+  return true;
+};
+
+/** Stores all atoms from all molecules in a TREMOLO data input file.
+ * Note that this format cannot be parsed again.
+ * Note that TREMOLO does not like Id starting at 0, but at 1. Atoms with Id 0 are discarded!
+ * \param *filename name of file (without ".in" suffix!)
+ * \param *MolList pointer to MoleculeListClass containing all atoms
+ */
+bool config::SaveTREMOLO(const char * const filename, const MoleculeListClass * const MolList) const
+{
+  atom *Walker = NULL;
+  ofstream *output = NULL;
+  stringstream * const fname = new stringstream;
+
+  *fname << filename << ".data";
+  output = new ofstream(fname->str().c_str(), ios::out);
+  if (output == NULL) {
+    DoeLog(1) && (eLog()<< Verbose(1) << "Cannot open tremolo output file:" << fname << endl);
+    delete(fname);
+    return false;
+  }
+
+  // scan maximum number of neighbours
+  int MaxNeighbours = 0;
+  for (MoleculeList::const_iterator MolWalker = MolList->ListOfMolecules.begin(); MolWalker != MolList->ListOfMolecules.end(); MolWalker++) {
+    Walker = (*MolWalker)->start;
+    while (Walker->next != (*MolWalker)->end) {
+      Walker = Walker->next;
+      const int count = Walker->ListOfBonds.size();
+      if (MaxNeighbours < count)
+        MaxNeighbours = count;
+    }
+  }
+  *output << "# ATOMDATA Id name resName resSeq x=3 charge type neighbors=" << MaxNeighbours << endl;
+
+  // create global to local id map
+  int **LocalNotoGlobalNoMap = Calloc<int *>(MolList->ListOfMolecules.size(), "config::SaveTREMOLO - **LocalNotoGlobalNoMap");
+  {
+    int MolCounter = 0;
+    int AtomNo = 0;
+    for (MoleculeList::const_iterator MolWalker = MolList->ListOfMolecules.begin(); MolWalker != MolList->ListOfMolecules.end(); MolWalker++) {
+      LocalNotoGlobalNoMap[MolCounter] = Calloc<int>(MolList->CountAllAtoms(), "config::SaveTREMOLO - *LocalNotoGlobalNoMap[]");
+
+      (*MolWalker)->SetIndexedArrayForEachAtomTo( LocalNotoGlobalNoMap[MolCounter], &atom::nr, IncrementalAbsoluteValue, &AtomNo);
+
+      MolCounter++;
+    }
+  }
+
+  // write the file
+  {
+    int MolCounter = 0;
+    int AtomNo = 0;
+    for (MoleculeList::const_iterator MolWalker = MolList->ListOfMolecules.begin(); MolWalker != MolList->ListOfMolecules.end(); MolWalker++) {
+      Walker = (*MolWalker)->start;
+      while (Walker->next != (*MolWalker)->end) {
+        Walker = Walker->next;
+        *output << AtomNo+1 << "\t";
+        *output << Walker->Name << "\t";
+        *output << (*MolWalker)->name << "\t";
+        *output << MolCounter+1 << "\t";
+        *output << Walker->node->x[0] << "\t" << Walker->node->x[1] << "\t" << Walker->node->x[2] << "\t";
+        *output << (double)Walker->type->Valence << "\t";
+        *output << Walker->type->symbol << "\t";
+        for (BondList::iterator runner = Walker->ListOfBonds.begin(); runner != Walker->ListOfBonds.end(); runner++)
+          *output << LocalNotoGlobalNoMap[MolCounter][ (*runner)->GetOtherAtom(Walker)->nr ]+1 << "\t";
+        for(int i=Walker->ListOfBonds.size(); i < MaxNeighbours; i++)
+          *output << "-\t";
+        *output << endl;
+        AtomNo++;
+      }
+      MolCounter++;
+    }
+  }
+
+  // store & free
+  output->flush();
+  output->close();
+  delete(output);
+  delete(fname);
+  for(size_t i=0;i<MolList->ListOfMolecules.size(); i++)
+    Free(&LocalNotoGlobalNoMap[i]);
+  Free(&LocalNotoGlobalNoMap);
 
   return true;
@@ -1850,5 +2131,5 @@
               }
               line++;
-            } while (dummy1 != NULL && (dummy1[0] == '#') || (dummy1[0] == '\n'));
+            } while ((dummy1 != NULL) && ((dummy1[0] == '#') || (dummy1[0] == '\n')));
             dummy = dummy1;
           } else { // simple int, strings or doubles start in the same line
Index: src/config.hpp
===================================================================
--- src/config.hpp	(revision 6056f1f6a543f7dbfa9dde0b7705d6820addf1c4)
+++ src/config.hpp	(revision 6cd16bc4b2635b48c1eb855a13b887a00af82259)
@@ -10,6 +10,4 @@
 
 using namespace std;
-
-class MoleculeListClass;
 
 /*********************************************** includes ***********************************/
@@ -27,4 +25,5 @@
 
 class molecule;
+class MoleculeListClass;
 class periodentafel;
 
@@ -142,4 +141,9 @@
   bool Save(const char * const filename, const periodentafel * const periode, molecule * const mol) const;
   bool SaveMPQC(const char * const filename, const molecule * const mol) const;
+  bool SavePDB(const char * const filename, const MoleculeListClass * const MolList) const;
+  bool SavePDB(const char * const filename, const molecule * const mol) const;
+  bool SaveTREMOLO(const char * const filename, const molecule * const mol) const;
+  bool SaveTREMOLO(const char * const filename, const MoleculeListClass * const MolList) const;
+
   void Edit();
   bool GetIsAngstroem() const;
Index: src/datacreator.cpp
===================================================================
--- src/datacreator.cpp	(revision 6056f1f6a543f7dbfa9dde0b7705d6820addf1c4)
+++ src/datacreator.cpp	(revision 6cd16bc4b2635b48c1eb855a13b887a00af82259)
@@ -25,5 +25,5 @@
   output.open(name.str().c_str(), ios::out);
   if (output == NULL) {
-    Log() << Verbose(0) << "Unable to open " << name.str() << " for writing, is directory correct?" << endl;
+    DoLog(0) && (Log() << Verbose(0) << "Unable to open " << name.str() << " for writing, is directory correct?" << endl);
     return false;
   }
@@ -43,5 +43,5 @@
   output.open(name.str().c_str(), ios::app);
   if (output == NULL) {
-    Log() << Verbose(0) << "Unable to open " << name.str() << " for writing, is directory correct?" << endl;
+    DoLog(0) && (Log() << Verbose(0) << "Unable to open " << name.str() << " for writing, is directory correct?" << endl);
     return false;
   }
@@ -63,5 +63,5 @@
   filename << prefix << ".dat";
   if (!OpenOutputFile(output, dir, filename.str().c_str())) return false;
-  Log() << Verbose(0) << msg << endl;
+  DoLog(0) && (Log() << Verbose(0) << msg << endl);
   output << "# " << msg << ", created on " << datum;
   output << "#Order\tFrag.No.\t" << Fragments.Header[Fragments.MatrixCounter] << endl;
@@ -96,5 +96,5 @@
   filename << prefix << ".dat";
   if (!OpenOutputFile(output, dir, filename.str().c_str())) return false;
-  Log() << Verbose(0) << msg << endl;
+  DoLog(0) && (Log() << Verbose(0) << msg << endl);
   output << "# " << msg << ", created on " << datum;
   output << "#Order\tFrag.No.\t" << Fragments.Header[Fragments.MatrixCounter] << endl;
@@ -133,5 +133,5 @@
   filename << prefix << ".dat";
   if (!OpenOutputFile(output, dir, filename.str().c_str())) return false;
-  Log() << Verbose(0) << msg << endl;
+  DoLog(0) && (Log() << Verbose(0) << msg << endl);
   output << "# " << msg << ", created on " << datum;
   output << "# Order\tFrag.No.\t" << Fragments.Header[Fragments.MatrixCounter] << endl;
@@ -165,5 +165,5 @@
   filename << prefix << ".dat";
   if (!OpenOutputFile(output, dir, filename.str().c_str())) return false;
-  Log() << Verbose(0) << msg << endl;
+  DoLog(0) && (Log() << Verbose(0) << msg << endl);
   output << "# " << msg << ", created on " << datum;
   output << "# Order\tFrag.No.\t" << Fragments.Header[Fragments.MatrixCounter] << endl;
@@ -198,5 +198,5 @@
   filename << prefix << ".dat";
   if (!OpenOutputFile(output, dir, filename.str().c_str())) return false;
-  Log() << Verbose(0) << msg << endl;
+  DoLog(0) && (Log() << Verbose(0) << msg << endl);
   output << "# " << msg << ", created on " << datum;
   output << "# AtomNo\t" << Fragments.Header[Fragments.MatrixCounter] << endl;
@@ -244,5 +244,5 @@
   filename << prefix << ".dat";
   if (!OpenOutputFile(output, dir, filename.str().c_str())) return false;
-  Log() << Verbose(0) << msg << endl;
+  DoLog(0) && (Log() << Verbose(0) << msg << endl);
   output << "# " << msg << ", created on " << datum;
   output << "# AtomNo\t" << Fragments.Header[Fragments.MatrixCounter] << endl;
@@ -281,5 +281,5 @@
   filename << prefix << ".dat";
   if (!OpenOutputFile(output, dir, filename.str().c_str())) return false; 
-  Log() << Verbose(0) << msg << endl;
+  DoLog(0) && (Log() << Verbose(0) << msg << endl);
   output << "# " << msg << ", created on " << datum;
   output << "# AtomNo\t" << Fragments.Header[Fragments.MatrixCounter] << endl;
@@ -321,5 +321,5 @@
   filename << prefix << ".dat";
   if (!OpenOutputFile(output, dir, filename.str().c_str())) return false; 
-  Log() << Verbose(0) << msg << endl;
+  DoLog(0) && (Log() << Verbose(0) << msg << endl);
   output << "# " << msg << ", created on " << datum;
   output << "# AtomNo\t";
@@ -363,5 +363,5 @@
   filename << prefix << ".dat";
   if (!OpenOutputFile(output, dir, filename.str().c_str())) return false; 
-  Log() << Verbose(0) << msg << endl;
+  DoLog(0) && (Log() << Verbose(0) << msg << endl);
   output << "# " << msg << ", created on " << datum;
   output << "# AtomNo\t" << Fragments.Header[ Fragments.MatrixCounter ] << endl;
@@ -393,5 +393,5 @@
   filename << prefix << ".dat";
   if (!OpenOutputFile(output, dir, filename.str().c_str())) return false;
-  Log() << Verbose(0) << msg << endl;
+  DoLog(0) && (Log() << Verbose(0) << msg << endl);
   output << "# " << msg << ", created on " << datum << endl;
   output << "#Order\tFrag.No.\t" << Fragment.Header[ Fragment.MatrixCounter ] << endl;
@@ -458,5 +458,5 @@
   filename << prefix << ".dat";
   if (!OpenOutputFile(output, dir, filename.str().c_str())) return false;
-  Log() << Verbose(0) << msg << endl;
+  DoLog(0) && (Log() << Verbose(0) << msg << endl);
   output << "# " << msg << ", created on " << datum;
   output << "#Order\tFrag.No.\t" << Fragment.Header[ Fragment.MatrixCounter ] << endl;
Index: src/defs.hpp
===================================================================
--- src/defs.hpp	(revision 6056f1f6a543f7dbfa9dde0b7705d6820addf1c4)
+++ src/defs.hpp	(revision 6cd16bc4b2635b48c1eb855a13b887a00af82259)
@@ -12,5 +12,4 @@
 #define MAX_ELEMENTS 128  //!< maximum number of elements for certain lookup tables 
 #define AtomicLengthToAngstroem  0.52917721 //!< conversion factor from atomic length/bohrradius to angstroem
-#define BONDTHRESHOLD 0.5   //!< CSD threshold in bond check which is the width of the interval whose center is the sum of the covalent radii 
 #define AtomicEnergyToKelvin 315774.67  //!< conversion factor from atomic energy to kelvin via boltzmann factor
 #define KelvinToAtomicTemperature 3.1668152e-06    //!< conversion factor for Kelvin to atomic temperature (Hartree over k_B)
